## org.apache.maven.shared.io.logging
Interface MessageHolder

All Known Implementing Classes:
  DefaultMessageHolder

    public interface MessageHolder

Method Summary
`MessageHolder` `addDebugMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addDebugMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addDebugMessage(java.lang.Throwable error)`
`MessageHolder` `addErrorMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addErrorMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addErrorMessage(java.lang.Throwable error)`
`MessageHolder` `addInfoMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addInfoMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addInfoMessage(java.lang.Throwable error)`
`MessageHolder` `addMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addMessage(java.lang.Throwable error)`
`MessageHolder` `addSevereMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addSevereMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addSevereMessage(java.lang.Throwable error)`
`MessageHolder` `addWarningMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addWarningMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addWarningMessage(java.lang.Throwable error)`
`MessageHolder` `append(java.lang.CharSequence messagePart)`
`MessageHolder` `append(java.lang.Throwable error)`
`int` `countDebugMessages()`
`int` `countErrorMessages()`
`int` `countInfoMessages()`
`int` `countMessages()`
`int` `countSevereMessages()`
`int` `countWarningMessages()`
`void` `flush()`
`boolean` `isDebugEnabled()`
`boolean` `isEmpty()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isSevereEnabled()`
`boolean` `isWarningEnabled()`
`MessageHolder` `newDebugMessage()`
`MessageHolder` `newErrorMessage()`
`MessageHolder` `newInfoMessage()`
`MessageHolder` `newMessage()`
`MessageHolder` `newSevereMessage()`
`MessageHolder` `newWarningMessage()`
`java.lang.String` `render()`
`void` `render(MessageSink sink)`
`void` `setDebugEnabled(boolean enabled)`
`void` `setErrorEnabled(boolean enabled)`
`void` `setInfoEnabled(boolean enabled)`
`void` `setSevereEnabled(boolean enabled)`
`void` `setWarningEnabled(boolean enabled)`
`int` `size()`

Method Detail

### newMessage

    MessageHolder newMessage()

### newDebugMessage

    MessageHolder newDebugMessage()

### newInfoMessage

    MessageHolder newInfoMessage()

### newWarningMessage

    MessageHolder newWarningMessage()

### newErrorMessage

    MessageHolder newErrorMessage()

### newSevereMessage

    MessageHolder newSevereMessage()

### append

    MessageHolder append(java.lang.CharSequence messagePart)

### append

    MessageHolder append(java.lang.Throwable error)

### addMessage

    MessageHolder addMessage(java.lang.CharSequence messagePart,
                             java.lang.Throwable error)

### addMessage

    MessageHolder addMessage(java.lang.CharSequence messagePart)

### addMessage

    MessageHolder addMessage(java.lang.Throwable error)

### addDebugMessage

    MessageHolder addDebugMessage(java.lang.CharSequence messagePart,
                                  java.lang.Throwable error)

### addDebugMessage

    MessageHolder addDebugMessage(java.lang.CharSequence messagePart)

### addDebugMessage

    MessageHolder addDebugMessage(java.lang.Throwable error)

### addInfoMessage

    MessageHolder addInfoMessage(java.lang.CharSequence messagePart,
                                 java.lang.Throwable error)

### addInfoMessage

    MessageHolder addInfoMessage(java.lang.CharSequence messagePart)

### addInfoMessage

    MessageHolder addInfoMessage(java.lang.Throwable error)

### addWarningMessage

    MessageHolder addWarningMessage(java.lang.CharSequence messagePart,
                                    java.lang.Throwable error)

### addWarningMessage

    MessageHolder addWarningMessage(java.lang.CharSequence messagePart)

### addWarningMessage

    MessageHolder addWarningMessage(java.lang.Throwable error)

### addErrorMessage

    MessageHolder addErrorMessage(java.lang.CharSequence messagePart,
                                  java.lang.Throwable error)

### addErrorMessage

    MessageHolder addErrorMessage(java.lang.CharSequence messagePart)

### addErrorMessage

    MessageHolder addErrorMessage(java.lang.Throwable error)

### addSevereMessage

    MessageHolder addSevereMessage(java.lang.CharSequence messagePart,
                                   java.lang.Throwable error)

### addSevereMessage

    MessageHolder addSevereMessage(java.lang.CharSequence messagePart)

### addSevereMessage

    MessageHolder addSevereMessage(java.lang.Throwable error)

### size

    int size()

### countMessages

    int countMessages()

### countDebugMessages

    int countDebugMessages()

### countInfoMessages

    int countInfoMessages()

### countWarningMessages

    int countWarningMessages()

### countErrorMessages

    int countErrorMessages()

### countSevereMessages

    int countSevereMessages()

### isDebugEnabled

    boolean isDebugEnabled()

### setDebugEnabled

    void setDebugEnabled(boolean enabled)

### isInfoEnabled

    boolean isInfoEnabled()

### setInfoEnabled

    void setInfoEnabled(boolean enabled)

### isWarningEnabled

    boolean isWarningEnabled()

### setWarningEnabled

    void setWarningEnabled(boolean enabled)

### isErrorEnabled

    boolean isErrorEnabled()

### setErrorEnabled

    void setErrorEnabled(boolean enabled)

### isSevereEnabled

    boolean isSevereEnabled()

### setSevereEnabled

    void setSevereEnabled(boolean enabled)

### isEmpty

    boolean isEmpty()

### render

    java.lang.String render()

### render

    void render(MessageSink sink)

### flush

    void flush()

Copyright © 2011. All Rights Reserved.